Bug 223764 - Groovy JUnit Test - default location is set to Source Packages
Groovy JUnit Test - default location is set to Source Packages
Status: VERIFIED FIXED
Product: groovy
Classification: Unclassified
Component: Code
7.3
PC Windows 8
: P2 (vote)
: 7.3
Assigned To: Martin Janicek
issues@groovy
: 73_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-13 11:56 UTC by Vladimir Riha
Modified: 2013-01-18 14:48 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
The wizard sends the file to sources by default instead that to the tests (65.34 KB, image/png)
2013-01-13 22:11 UTC, mago_ebon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Riha 2012-12-13 11:56:59 UTC
Works on Ubuntu, but on WinXP and Win8, if I select project in Projects window and invoke New File wizard for Groovy JUnit Test file, then default location is set to Source Packages while it should be Test packages instead.

Default target file in WinXP case for groovy junit test is:
C:\Documents and Settings\tester\My Documents\NetBeansProjects\JavaApplication9\src\NewGroovyJUnitTest.groovy



Product Version: NetBeans IDE Dev (Build 201212130001)
Java: 1.7.0_10-ea; Java HotSpot(TM) Client VM 23.6-b04
Runtime: Java(TM) SE Runtime Environment 1.7.0_10-ea-b16
System: Windows XP version 5.1 running on x86; Cp1252; en_US (nb)
Comment 1 mago_ebon 2013-01-13 22:01:15 UTC
This is also happening on the 7.3 RC1
Comment 2 mago_ebon 2013-01-13 22:11:30 UTC
Created attachment 130162 [details]
The wizard sends the file to sources by default instead that to the tests

The wizard sends the file to sources by default instead that to the tests
Comment 3 Vladimir Riha 2013-01-13 23:14:57 UTC
setting proper version (reported against 7.3 Dev)
Comment 4 Martin Janicek 2013-01-14 13:29:46 UTC
Fixed in: web-main #d7fc1ea44d0f

The fix is pretty simple (the problem was only in file separators), so I would like to integrate this into the NB73 release branch. Vlado could you please verified the fix as soon as possible?
Comment 5 Vladimir Riha 2013-01-14 14:20:30 UTC
OK, will do either today or tomorrow, thanks. 

Fix is simple and this could affect more users (NetCAT also confirms this issue) so I'd be for integrating it into 73 => if there are no objections,  increasing to P2 and adding proper keyword.
Comment 6 Quality Engineering 2013-01-15 07:27:31 UTC
Integrated into 'main-golden', will be available in build *201301150001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/d7fc1ea44d0f
User: Martin Janicek <mjanicek@netbeans.org>
Log: #223764 - Groovy JUnit Test - default location is set to Source Packages
Comment 7 Vladimir Riha 2013-01-15 12:59:07 UTC
verified in Dev, please continue with HR integration


Product Version: NetBeans IDE Dev (Build 201301150833)
Java: 1.7.0_04; Java HotSpot(TM) Client VM 23.0-b21
Runtime: Java(TM) SE Runtime Environment 1.7.0_04-b22
System: Windows 7 version 6.1 running on x86; Cp1252; en_US (nb)
Comment 8 Martin Fousek 2013-01-16 12:46:08 UTC
The fix looks well.
Comment 9 Martin Janicek 2013-01-17 09:37:14 UTC
Transplanted into the release73 branch in: releases #024010c3e39d
Comment 10 Quality Engineering 2013-01-18 00:02:41 UTC
Integrated into 'releases', will be available in build *201301172100* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/024010c3e39d
User: Martin Janicek <mjanicek@netbeans.org>
Log: #223764 - Groovy JUnit Test - default location is set to Source Packages
Comment 11 Vladimir Riha 2013-01-18 14:48:32 UTC
verified in RC1

Product Version: NetBeans IDE 7.3 RC1 (Build 201301172100)
Java: 1.7.0_11; Java HotSpot(TM) Client VM 23.6-b04
Runtime: Java(TM) SE Runtime Environment 1.7.0_11-b21
System: Windows 7 version 6.1 running on x86; Cp1252; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo